## org.eclipse.jst.jsf.context.resolver
Class AbstractContextResolver

    java.lang.Object
      org.eclipse.jst.jsf.context.resolver.AbstractContextResolver

All Implemented Interfaces:
  IContextResolver

    public abstract class AbstractContextResolver

extends java.lang.Object
implements IContextResolver

The super-class of all context resolver impls.

Constructor Summary
`AbstractContextResolver()`

Method Summary
`abstract boolean` `canResolveContext(IModelContext modelContext)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractContextResolver

    public AbstractContextResolver()

Method Detail

### canResolveContext

    public abstract boolean canResolveContext(IModelContext modelContext)

  Specified by:
    `canResolveContext` in interface `IContextResolver`
  Returns:
    true if this resolver can resolve context information based on this context